type Context = {
    /**
     * Set DMX address `address` to `value`
     * @param address between 1 and 511
     * @param value between 0 and 255
     */
    set(address: number, value: number): void,
};

/** The global Context object */
declare const ctx: Context;

/** The current time (in seconds, e.g. 1.25 after 1250 milliseconds) */
declare const t: number;

type Lib = {
    /**
    * Converts from the HSL color space to RGB
    * 
    * Outputs [r, g, b] between 0 and 255 each
    * 
    * @param h in degrees, i.e. 0 to 360
    * @param s between 0 and 100
    * @param l between 0 and 100
    */
    hsl2rgb(h: number, s: number, l: number): [number, number, number]
}

/** The standard library */
declare const lib: Lib;